> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top Product Detail

> Get Top Product Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/top-products/detail
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/top-products/detail:
    get:
      tags:
        - Trending
      summary: Get Top Product Detail
      description: Get Top Product Detail
      operationId: getApiTrendingTop-productsDetail
      parameters:
        - in: query
          name: product_id
          schema:
            type: string
            pattern: ^\d+$
            description: Product ID
            example: '601226'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  info:
                    type: object
                    properties:
                      audience_ages:
                        type:
                          - string
                          - 'null'
                        description: ''
                        example: null
                      audience_interests:
                        type: array
                        items:
                          type: string
                        description: ''
                        example: []
                      cover_url:
                        type: string
                        description: ''
                        example: >-
                          https://p19-cc-sign-sg.tiktokcdn.com/tos-maliva-i-o3syd03w52-us/9b034856657c4453b5d7f49374061e5d~tplv-yenboaefse-image.jpeg?lk3s=317596d8&x-expires=1768398902&x-signature=1S02fT%2BzA%2B2JYLjRL%2FugKgVTWvM%3D
                      ecom_type:
                        type: string
                        description: ''
                        example: '13'
                      first_ecom_category:
                        type: object
                        properties:
                          id:
                            type: string
                            description: ''
                            example: '605196'
                          label:
                            type: string
                            description: ''
                            example: category_605196
                          value:
                            type: string
                            description: ''
                            example: Automotive & Motorbike
                      hashtags:
                        type: array
                        items:
                          type: string
                        description: ''
                        example:
                          - outfit
                          - flypシ
                          - story
                          - onepiece
                          - jesus
                      posts:
                        type: array
                        items:
                          type: string
                        description: ''
                        example:
                          - '7472308160007802158'
                          - '7244069684193070342'
                          - '7413067122605165841'
                      second_ecom_category:
                        type: object
                        properties:
                          id:
                            type: string
                            description: ''
                            example: '940808'
                          label:
                            type: string
                            description: ''
                            example: category_940808
                          parent_id:
                            type: string
                            description: ''
                            example: '605196'
                          value:
                            type: string
                            description: ''
                            example: Vehicle Washing & Maintenance
                      third_ecom_category:
                        type: object
                        properties:
                          id:
                            type: string
                            description: ''
                            example: '940808'
                          label:
                            type: string
                            description: ''
                            example: category_940808
                          parent_id:
                            type: string
                            description: ''
                            example: '605196'
                          value:
                            type: string
                            description: ''
                            example: Vehicle Washing & Maintenance
                      url_title:
                        type: string
                        description: ''
                        example: T-Shirts
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````